Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Priority_Mapping_Manager_var Class Reference

`#include <Priority_Mapping_Manager.h>`

Inheritance diagram for TAO_Priority_Mapping_Manager_var

[legend]
Collaboration diagram for TAO_Priority_Mapping_Manager_var:

[legend]
List of all members.

## Public Methods
| TAO_Priority_Mapping_Manager_var (void)
| TAO_Priority_Mapping_Manager_var (TAO_Priority_Mapping_Manager_ptr)
| TAO_Priority_Mapping_Manager_var (const TAO_Priority_Mapping_Manager_var &)
| ~TAO_Priority_Mapping_Manager_var (void)
TAO_Priority_Mapping_Manager_var& | operator= (TAO_Priority_Mapping_Manager_ptr)
TAO_Priority_Mapping_Manager_var& | operator= (const TAO_Priority_Mapping_Manager_var &)
TAO_Priority_Mapping_Manager_ptr | operator-> (void) const
| operator const TAO_Priority_Mapping_Manager_ptr & () const
| in, inout, out, _retn.
| operator TAO_Priority_Mapping_Manager_ptr & ()
TAO_Priority_Mapping_Manager_ptr | in (void) const
TAO_Priority_Mapping_Manager_ptr& | inout (void)
TAO_Priority_Mapping_Manager_ptr& | out (void)
TAO_Priority_Mapping_Manager_ptr | _retn (void)
TAO_Priority_Mapping_Manager_ptr | ptr (void) const
## Static Public Methods
TAO_Priority_Mapping_Manager_ptr | duplicate (TAO_Priority_Mapping_Manager_ptr)
void | release (TAO_Priority_Mapping_Manager_ptr)
TAO_Priority_Mapping_Manager_ptr | nil (void)
TAO_Priority_Mapping_Manager_ptr | narrow (CORBA::Object *, CORBA::Environment &)
CORBA::Object* | upcast (void *)
## Private Methods
| TAO_Priority_Mapping_Manager_var (const TAO_Base_var &rhs)
TAO_Priority_Mapping_Manager_var& | operator= (const TAO_Base_var &rhs)
## Private Attributes
TAO_Priority_Mapping_Manager_ptr | ptr_
| Unimplemented - prevents widening assignment.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Priority_Mapping_Manager_var::TAO_Priority_Mapping_Manager_var ( | void )

ACE_INLINE TAO_Priority_Mapping_Manager_var::TAO_Priority_Mapping_Manager_var ( | TAO_Priority_Mapping_Manager_ptr p )

TAO_Priority_Mapping_Manager_var::TAO_Priority_Mapping_Manager_var ( | const TAO_Priority_Mapping_Manager_var & )

ACE_INLINE TAO_Priority_Mapping_Manager_var::~TAO_Priority_Mapping_Manager_var ( | void )

TAO_Priority_Mapping_Manager_var::TAO_Priority_Mapping_Manager_var ( | const TAO_Base_var & rhs )`[private]`

## Member Function Documentation

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::_retn ( | void )

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::duplicate ( | TAO_Priority_Mapping_Manager_ptr p )`[static]`

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::in ( | void ) const

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr & TAO_Priority_Mapping_Manager_var::inout ( | void )

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::nil ( | void )`[static]`

TAO_Priority_Mapping_Manager_var::operator TAO_Priority_Mapping_Manager_ptr & ( | )

TAO_Priority_Mapping_Manager_var::operator const TAO_Priority_Mapping_Manager_ptr & ( | ) const

| in, inout, out, _retn.

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::operator-> ( | void ) const

TAO_Priority_Mapping_Manager_var& TAO_Priority_Mapping_Manager_var::operator= ( | const TAO_Base_var & rhs )`[private]`

TAO_Priority_Mapping_Manager_var& TAO_Priority_Mapping_Manager_var::operator= ( | const TAO_Priority_Mapping_Manager_var & )

ACE_INLINE TAO_Priority_Mapping_Manager_var & TAO_Priority_Mapping_Manager_var::operator= ( | TAO_Priority_Mapping_Manager_ptr p )

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr & TAO_Priority_Mapping_Manager_var::out ( | void )

ACE_INLINE::TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::ptr ( | void ) const

ACE_INLINE void TAO_Priority_Mapping_Manager_var::release ( | TAO_Priority_Mapping_Manager_ptr p )`[static]`

ACE_INLINE CORBA::Object * TAO_Priority_Mapping_Manager_var::upcast ( | void * src )`[static]`

## Member Data Documentation

TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager_var::ptr_`[private]`

| Unimplemented - prevents widening assignment.

The documentation for this class was generated from the following files:

- Priority_Mapping_Manager.h
- Priority_Mapping_Manager.i